when to use BrepLib::BuildCurves3d

Hi,

BrepLib::BuildCurves3d is an important function, but I have not understood when it is nessecary to use it.
On what conditions does one have to call BrepLib::BuildCurves3d to build valid wires / edges?

Thanks,

-jelle

Pawel's picture

Hi jelle,

it is necessary each time you use 2d curves only to build topology.
Below an example.

Handle(Geom2d_Curve) curve2d =

BRepBuilderAPI_MakeEdge Edge(curve2d,new Geom_Plane( gp_Pnt(0,0,0), gp_Dir(0,0,1)) );
BRepLib::BuildCurves3d(Edge);
TopoDS_Shape aShape = TopoDS_Shape(Edge);

Pawel

jelle's picture

terrific! thanks for your instant reply Pawel, much appreciated.

-jelle